Skip to content
Proud to collaborate with Microsoft for Startups

docusign.templates.get-template-page-images ​

Returns images of the pages in a template document for display based on the parameters that you specify.

Returns document page images based on input.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—(Required) The external account number (int) or account ID GUID.
documentidstringYes—(Required) The ID of the document.
templateidstringYes—(Required) The ID of the template.
countstringNo—The maximum number of results to return.
dpistringNo—The number of dots per inch (DPI) for the resulting images. Valid values are 1-310 DPI. The default value is 94.
max_heightstringNo—Sets the maximum height of the returned images in pixels.
max_widthstringNo—Sets the maximum width of the returned images in pixels.
nocachestringNo—When true, using cache is disabled and image information is retrieved from a database. True is the default value.
show_changesstringNo—When true, changes display in the user interface.
start_positionstringNo—The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—(Required) The external account number (int) or account ID GUID.
documentidstringYes—(Required) The ID of the document.
templateidstringYes—(Required) The ID of the template.
countstringNo—The maximum number of results to return.
dpistringNo—The number of dots per inch (DPI) for the resulting images. Valid values are 1-310 DPI. The default value is 94.
max_heightstringNo—Sets the maximum height of the returned images in pixels.
max_widthstringNo—Sets the maximum width of the returned images in pixels.
nocachestringNo—When true, using cache is disabled and image information is retrieved from a database. True is the default value.
show_changesstringNo—When true, changes display in the user interface.
start_positionstringNo—The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/pages
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/pages
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.templates.get-template-page-images",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "documentid": "value",
    "templateid": "value"
  }
}